/**
 * 
 */
package org.ow2.petals.registry.core.ws.adapters;

import org.ow2.petals.registry.api.Query;
import org.ow2.petals.registry.api.ws.adapters.QueryAdapter;

/**
 * @author chamerling
 * 
 */
public class QueryAdapterImpl implements QueryAdapter {

    public Query toRegistry(org.ow2.petals.registry.api.ws.to.Query query) {
        Query result = new Query();
        if (query != null) {
            result.setEndpoint(query.getEndpoint());
            result.setInterface(query.getInterface());
            result.setService(query.getService());
            result.setComponent(query.getComponent());
            result.setContainer(query.getContainer());
            result.setSubDomain(query.getSubDomain());
            result.setType(query.getType());
        }
        return result;
    }

    public org.ow2.petals.registry.api.ws.to.Query toWS(Query query) {
        org.ow2.petals.registry.api.ws.to.Query result = new org.ow2.petals.registry.api.ws.to.Query();
        if (query != null) {
            result.setEndpoint(query.getEndpoint());
            result.setInterface(query.getInterface());
            result.setService(query.getService());
            result.setComponent(query.getComponent());
            result.setContainer(query.getContainer());
            result.setSubDomain(query.getSubDomain());
            result.setType(query.getType());
        }
        return result;
    }

}
